Subject: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 12 May 2016 08:25:11 +0000

CCAMP, TEAS,

This starts a two weeks joint working group last call on draft-ietf-ccamp-ospf-availability-extension-04
The last call end on Wednesday May 26th. Please send your comments to both the CCAMP and TEAS mailing lists.

All the IPR declarations from authors and contributors have been collected and can be found in the history of the document: https://datatracker.ietf.org/doc/draft-ietf-ccamp-ospf-availability-extension/history/
Please note that no IPR was disclosed against this draft.

As usual this is also a call for shepherd. If anyone is willing to be the shepherd of the document, please volunteer.

Thanks

Daniele, Fatai, Lou, Pavan

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 12 May 2016 11:41:55 +0000

I realize it has always been this way but the terminology of the draft (including the title) is somewhat misleading as the does not extend the OSPF routing protocol. Rather, it  extends the OSPF GMPLS encodings as defined in RFC 4203.
Thanks,
Acee

From: Teas <[email-masked]<mailto:[email-masked]>> on behalf of Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>
Date: Thursday, May 12, 2016 at 4:25 AM
To: "CCAMP ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "TEAS WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

CCAMP, TEAS,

Thanks

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 13 May 2016 10:09:39 +0000

Good point Acee.

I agree with you I’m fine with updating the ID accordingly.

Thanks
Daniele

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: giovedì 12 maggio 2016 13:42
To: Daniele Ceccarelli; CCAMP ([email-masked]); TEAS WG ([email-masked])
Cc: [email-masked]; [email-masked]
Subject: Re: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

CCAMP, TEAS,

Thanks

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 May 2016 21:07:35 +0000

Authors,

I did my review of the document. Please find below some comments:

-          Section 1: please put [G.827, F.1703, P.530] in a reference format [G.827] [F.1703][P.530].

-          Section 1: Could you elaborate this sentence? "The availability is a time scale that the requested bandwidth is ensured." The meaning is not fully clear to me.

-          Section 1: [ASTE] curious acronym choice! Is it correct to have this as a normative reference?

-          Section 1: [RFC4202]: I would say that this is a normative reference, it is reported as informative.

-          Section 1: "   If there is a hop that cannot support the Availability sub-TLV, the Availability sub-TLV should be ignored." This is normative text. It should be written in capital letters and I'd suggest to move it from the intro to section 3. Going on with the reading I see that it is properly state in section 3.2, hence I suggest just dropping the sentence in section 1.

-          Section 1: "...is defined to support in routing signaling." There must be something missing here. What about just "...is defined."?

-          Section 2: s/should contain/should include

-          Section 2: I suggest rephrasing this sentence: " The list provides the information that how much bandwidth a link can support for a specified availability." What about "The list provides the mapping between the link nominal bandwidth and its availability level"?

-          Section 2: s/label switched path/Label Switched Path

-          Section 2: suggested rephrasing

OLD
  To setup a label switching path (LSP), a node may collect link
   information which is spread in OSPF TE LSA messages by network nodes
   to get know about the network topology, calculate out an LSP route
   based on the network topology and send the calculated LSP route to
   signaling to initiate a PATH/RESV message for setting up the LSP.

   Availability information is required to carry in the signaling

   message to better utilize the link bandwidth. The signaling

   extension for availability can be found in [ASTE].

NEW
The setup of a Label Switched Path requires this piece of information to be flooded in the network and used by the nodes or the PCE for the path computation. The computed path can then be provisioned via the signaling protocol.
Availability information also need to be carried by the signaling for a better utilization of the link bandwidth (CAN YOU EXPLAIN WHY?).
Extensions to RSVP-TE can be found in [ASTE].

-          Section 3.1 - ISCD already expanded in section 1, you can use the acronym.

-          Section 3.1: "Type: TBA by IANA, suggested value is 0x01"

-          Section 3.1: "Length" you should state the units (bit? Bytes?). Moreover I see this is a fixed length TLV, hence I would say: "Length: A 16 bits field that expresses the length of the TLV in bytes"

-          Section 3.1: "Availability level": is there a discrete set of availability levels? E.g. 0.99, 0.999, 0.9999, or it can be filled with any number between O and 1? This needs to be explained a bit better.

-          LSP bandwidth at availability level: the unit is missing.

-          3.2 Why signaling process? It would rather say "Processing Procedures" ?

-          Section 4: Please add a reference to the OSPF and GMPLS security RFCs.

-          IANA section: Please make sure that it is state which registry needs to be updated and how.

-          References: there is a number of references that is not used in the document e.g. RFC 2210, RFC 3473 and so on.

-          Header: "OSPF -- Availability extension" please remove the dashes. I also suggest to substitute with "Availability extensions to OSPF-TE".

-          Please also check the IdNits

Thanks
Daniele

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: giovedì 12 maggio 2016 10:25
To: CCAMP ([email-masked]) <[email-masked]>; TEAS WG ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Joint WG last call on draft-ietf-ospf-availability-extension-04

CCAMP, TEAS,

Thanks

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 27 May 2016 21:07:37 +0000

Working groups,

The WG Last Call is now closed.

Authors, please resolve Acee's comments and mine.

Thanks,

CCAMP, TEAS,

Thanks

---

From: "Yemin (Amy)" <[email-masked]>
Date: Sat, 28 May 2016 07:53:28 +0000

Hi Daniele,

Thanks for comments. I agree with most of them.
Please see my response to some comments inline.

BR,
Amy

________________________________
This e-mail and its attachments contain confidential information from HUAWEI, which
is intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

From: Teas [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Saturday, May 28, 2016 5:08 AM
To: Daniele Ceccarelli; CCAMP ([email-masked]); TEAS WG ([email-masked])
Cc: [email-masked]; [email-masked]
Subject: Re: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Authors,

                [Amy] How about this: "The availability is a time scale, which is a proportion of the operating time that the requested bandwidth is ensured."

                [Amy] The title of the referenced draft was changed for once. I will update the acronym according to the new title, how about [ETPAI]?

OLD

NEW
The setup of a Label Switched Path requires this piece of information to be flooded in the network and used by the nodes or the PCE for the path computation. The computed path can then be provisioned via the signaling protocol.
Availability information also need to be carried by the signaling for a better utilization of the link bandwidth (CAN YOU EXPLAIN WHY?).
Extensions to RSVP-TE can be found in [ASTE].
[Amy] How about the following text:
The setup of a Label Switched Path requires this piece of information to be flooded in the network and used by the nodes or the PCE for the path computation. The computed path can then be provisioned via the signaling protocol.
For links with variable discrete bandwidth, Availability information is need to be carried by the signaling for a better link bandwidth utilization.
Extensions to RSVP-TE can be found in [ETPAI].

[Amy] There's no concrete discrete set of  availability levels. 0.99, 0.999, 0.9999 is the most common usage, 0.995 may also be used. However numbers such as 0.996/0.997 are rarely used.

I can add one sentence to explain more: "The Availability level is usually expressed in the value of  0.99/0.999/0.9999/0.99999 ".

Thanks
Daniele

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: giovedì 12 maggio 2016 10:25
To: CCAMP ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; TEAS WG ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Joint WG last call on draft-ietf-ospf-availability-extension-04

CCAMP, TEAS,

Thanks

---

From: Daniele Ceccarelli <[email-masked]>
Date: Sat, 28 May 2016 13:09:44 +0000

Hi Amy,

Please see my further replies in line.
When you're done with the changes please update the draft and we can proceed with the request for publication.

Thanks
Daniele

From: Yemin (Amy) [mailto:[email-masked]]
Sent: sabato 28 maggio 2016 09:53
To: Daniele Ceccarelli <[email-masked]>; CCAMP ([email-masked]) <[email-masked]>; TEAS WG ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: RE: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Hi Daniele,

BR,
Amy

From: Teas [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Saturday, May 28, 2016 5:08 AM
To: Daniele Ceccarelli; CCAMP ([email-masked]<mailto:[email-masked]>); TEAS WG ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Authors,

[DC] sounds good

[DC] I have nothing against one or the other, I was just curious to know how you end up with that one. Feel free to use the one you prefer.

OLD

NEW
[DC] correct amendment.

[DC] That's fine.

Thanks
Daniele

CCAMP, TEAS,

Thanks

---

From: "Yemin (Amy)" <[email-masked]>
Date: Mon, 30 May 2016 09:30:39 +0000

Hi Acee and Daniele,

I plan to change the title to “OSPF-TE Extension for Links with Variable Discrete Bandwidth”, what do you think?
I will also update the text in the draft accordingly.

BR,
Amy

From: Teas [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Friday, May 13, 2016 6:10 PM
To: Acee Lindem (acee); CCAMP ([email-masked]); TEAS WG ([email-masked])
Cc: [email-masked]; [email-masked]
Subject: Re: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Good point Acee.

Thanks
Daniele

CCAMP, TEAS,

Thanks

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 30 May 2016 11:40:30 +0000

Hi Amy,
That would be acceptable. However,  it seems that “OSPF-TE Link Availability Extension” would be more accurate.
Thanks,
Acee

From: "Yemin (Amy)" <[email-masked]<mailto:[email-masked]>>
Date: Monday, May 30, 2016 at 5:30 AM
To: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, "CCAMP ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "TEAS WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Hi Acee and Daniele,

BR,
Amy

To: Acee Lindem (acee); CCAMP ([email-masked]<mailto:[email-masked]>); TEAS WG ([email-masked]<mailto:[email-masked]>)

Good point Acee.

Thanks
Daniele

CCAMP, TEAS,

Thanks

---

From: "Yemin (Amy)" <[email-masked]>
Date: Tue, 31 May 2016 02:04:03 +0000

Hi Acee,

Thanks for suggestion, I will update the title as you suggested.

BR,
Amy

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Monday, May 30, 2016 7:41 PM
To: Yemin (Amy); Daniele Ceccarelli; CCAMP ([email-masked]); TEAS WG ([email-masked])
Cc: [email-masked]; [email-masked]
Subject: Re: [Teas] Joint WG last call on draft-ietf-ospf-availability-extension-04

Hi Amy,

Hi Acee and Daniele,

BR,
Amy

Good point Acee.

Thanks
Daniele

CCAMP, TEAS,

Thanks